.pt-m-part-dropdown {
  padding: 0 2.4rem 0 0;
  background: rgba($color: $aliceBlue, $alpha: 0.54);
  border-radius: 1.6rem;
  position: relative;
  transition: background 0.25s ease-in-out;
  height: 7rem;
  &:hover {
    background: $aliceBlue;
  }

  &__container {
    display: flex;
    align-items: center;
    pointer-events: none;

    & > .__banner {
      width: 7rem;
      transform: translateY(15%);
    }

    & > .__info {
      width: calc(100% - 11.2rem);
      padding: 0 1.2rem;
      color: $gunPowder;

      .__test-name {
        font-family: 'mont_b';
        font-size: 1.6rem;
        line-height: 2.4rem;
      }

      .__part-name {
        margin: 0.6rem 0 0 0;

        font-family: 'mont_sb';
        line-height: 2.2rem;

        .__name {
          text-transform: uppercase;
        }
      }
    }

    & > .__toggle {
      width: 3.2rem;
      height: 3.2rem;
      transition: transform 0.25s ease-in-out;

      &.--up {
        transform: rotate(180deg);
      }
    }
  }

  &__menu {
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;

    & > .rs-dropdown-toggle {
      width: 100%;
      height: 8rem;
      opacity: 0;
    }

    & > .rs-dropdown-menu {
      width: 100%;
      padding: 1.6rem 0.6rem 0.8rem 2.2rem;
      box-shadow: 0 2rem 4rem rgba($color: $black, $alpha: 0.2);
      top: calc(100% + 0.8rem) !important;

      & > .__scroll-container {
        width: 100%;
        height: var(--height) !important;

        & > div:nth-child(3) {
          width: 0.6rem !important;

          & > div {
            background: $pattensBlue !important;
          }
        }

        .rs-dropdown-item {
          width: calc(100% - 1.6rem);
          min-height: 4.4rem;
          margin: 0 0 0.8rem 0;
          padding: 1.1rem 2.4rem;
          border-radius: 0.8rem;
          font-family: 'mont_m';
          font-size: 1.8rem;
          line-height: 2.2rem;
          transition: background 0.25s ease-in-out;

          &:last-child {
            margin: 0;
          }

          &:hover {
            background: $aliceBlue;
          }

          &-active {
            background: $dodgerBlue;
            color: $white;
            cursor: default;
            font-family: 'mont_b';

            &:hover {
              background: $dodgerBlue;
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 1024px)  and (max-aspect-ratio: 3999/3000){
  .pt-m-part-dropdown {
    padding: 0;
    background: transparent;
    position: relative;

    &__container {
      display: flex;
      align-items: center;
    
      & > .__banner,
      & > .__toggle {
        display: none;
      }

      & > .__info {
        width: 100%;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
        text-align: center;
        
        & > .__test-name {
          margin: 0 auto;
          padding: 0 2rem;
          line-height: 2.2rem;
          font-size: 14px;
          font-family: 'Montserrat SemiBold';
          color: #4B4A5C;
        }

        & > .__part-name {
          margin: 0;
          padding: 0 2rem;
          color: #2592FF;
          line-height: 2.2rem;
          font-size: 16px;
          font-family: 'Montserrat Bold';
        }
      }
    }

    &__menu {
      & > .rs-dropdown-toggle {
        height: 2.4rem;
        padding: 0;
      }
    }
  }
}
//landscape
@include screen-960-landscape{
  .pt-m-part-dropdown {
    height: 5.2rem;
    &__container {
      display: flex;
      align-items: center;
      pointer-events: none;
      height: 100%;
      & > .__banner {
        width: 6rem;
        transform: translateY(13%);
      }
  
      & > .__info {
        width: calc(100% - 8rem);
        padding: 0 0.8rem 0 0;
        color: $gunPowder;
  
        .__test-name {
          font-family: 'mont_b';
          font-size: 1.4rem;
          line-height: 1.4rem;
          overflow: hidden;
          white-space: nowrap !important;
          text-overflow: ellipsis;
        }
  
        .__part-name {
          margin: 0.6rem 0 0 0;
          font-size: 1.4rem;
          font-family: 'mont_sb';
          line-height: 1.4rem;
          overflow: hidden;
          white-space: nowrap !important;
          text-overflow: ellipsis;
          .__name {
            text-transform: uppercase;
          }
        }
      }
  
      & > .__toggle {
        width: 3.2rem;
        height: 3.2rem;
        transition: transform 0.25s ease-in-out;
  
        &.--up {
          transform: rotate(180deg);
        }
      }
    }
  
    &__menu {
      width: 100%;
      height: auto;
      position: absolute;
      top: 0;
      left: 0;
  
      & > .rs-dropdown-toggle {
        width: 100%;
        height: 5.6rem;
        opacity: 0;
      }
  
      & > .rs-dropdown-menu {
        width: 100%;
        padding: 1.6rem 0.6rem 0.8rem 2.2rem;
        box-shadow: 0 2rem 4rem rgba($color: $black, $alpha: 0.2);
        top: calc(100% + 0.1rem) !important;
        max-height: calc(100vh - 16rem);
        overflow: auto;
        & > .__scroll-container {
          width: 100%;
          height: var(--height) !important;
  
          & > div:nth-child(3) {
            width: 0.6rem !important;
  
            & > div {
              background: $pattensBlue !important;
            }
          }
  
          .rs-dropdown-item {
            width: calc(100% - 1.6rem);
            min-height: 4.4rem;
            margin: 0 0 0.8rem 0;
            padding: 1.1rem 2.4rem;
            border-radius: 0.8rem;
            font-family: 'mont_m';
            font-size: 1.6rem;
            line-height: 2.2rem;
            transition: background 0.25s ease-in-out;
  
            &:last-child {
              margin: 0;
            }
  
            &:hover {
              background: $aliceBlue;
            }
  
            &-active {
              background: $dodgerBlue;
              color: $white;
              cursor: default;
              font-family: 'mont_b';
  
              &:hover {
                background: $dodgerBlue;
              }
            }
          }
        }
      }
    }
  }
}
// @include screen-960-landscape{
//   .pt-m-part-dropdown {
//     &:hover {
//       background: $aliceBlue;
//     }
  
//     &__container {
//       display: flex;
//       align-items: center;
//       pointer-events: none;
  
//       & > .__banner {
//         width: 7rem;
//         transform: translateY(12%);
//       }
  
//       & > .__info {
//         width: calc(100% - 8rem);
//         padding: 0 0.8rem 0 0;
//         color: $gunPowder;
  
//         .__test-name {
//           font-family: 'mont_b';
//           font-size: 1.6rem;
//           line-height: 2.4rem;
//           overflow: hidden;
//           white-space: nowrap;
//           text-overflow: ellipsis;
//         }
  
//         .__part-name {
//           margin: 0.6rem 0 0 0;
  
//           font-family: 'mont_sb';
//           line-height: 2.2rem;
//           overflow: hidden;
//           white-space: nowrap;
//           text-overflow: ellipsis;
//           .__name {
//             text-transform: uppercase;
//           }
//         }
//       }
  
//       & > .__toggle {
//         width: 3.2rem;
//         height: 3.2rem;
//         transition: transform 0.25s ease-in-out;
  
//         &.--up {
//           transform: rotate(180deg);
//         }
//       }
//     }
  
//     &__menu {
//       width: 100%;
//       height: auto;
//       position: absolute;
//       top: 0;
//       left: 0;
  
//       & > .rs-dropdown-toggle {
//         width: 100%;
//         height: 7rem;
//         opacity: 0;
//       }
  
//       & > .rs-dropdown-menu {
//         width: 100%;
//         padding: 1.6rem 0.6rem 0.8rem 2.2rem;
//         box-shadow: 0 2rem 4rem rgba($color: $black, $alpha: 0.2);
//         top: calc(100% + 0.1rem) !important;
//         max-height: calc(100vh - 16rem);
//         overflow: auto;
//         & > .__scroll-container {
//           width: 100%;
//           height: var(--height) !important;
  
//           & > div:nth-child(3) {
//             width: 0.6rem !important;
  
//             & > div {
//               background: $pattensBlue !important;
//             }
//           }
  
//           .rs-dropdown-item {
//             width: calc(100% - 1.6rem);
//             min-height: 4.4rem;
//             margin: 0 0 0.8rem 0;
//             padding: 1.1rem 2.4rem;
//             border-radius: 0.8rem;
//             font-family: 'mont_m';
//             font-size: 1.6rem;
//             line-height: 2.2rem;
//             transition: background 0.25s ease-in-out;
  
//             &:last-child {
//               margin: 0;
//             }
  
//             &:hover {
//               background: $aliceBlue;
//             }
  
//             &-active {
//               background: $dodgerBlue;
//               color: $white;
//               cursor: default;
//               font-family: 'mont_b';
  
//               &:hover {
//                 background: $dodgerBlue;
//               }
//             }
//           }
//         }
//       }
//     }
//   }
// }
@include screen-1024-landscape{
  .pt-m-part-dropdown {
    &__container {
      & > .__info {
        .__test-name {
          overflow: hidden;
          white-space: nowrap !important;
          text-overflow: ellipsis;
        }
      }
    }
  }
}

// @include screen-768-landscape{
//   .pt-m-part-dropdown {
//     padding: 0 1.8rem 0 0;
  
//     &__container {
//       & > .__banner {
//         width: 7rem;
//         padding: 0.6rem 0 0 0;
//       }
  
//       & > .__info {
//         max-width: 100%;
//         width: calc(100% - 8rem);
//         padding: 0 0.8rem 0 0;
//         color: $gunPowder;
  
//         .__test-name {
//           font-family: 'mont_b';
//           font-size: 1.6rem;
//           line-height: 2.4rem;
//           overflow: hidden;
//           white-space: nowrap;
//           text-overflow: ellipsis
//         }
  
//         .__part-name {
//           margin: 0.6rem 0 0 0;
  
//           font-family: 'mont_sb';
//           line-height: 2.2rem;
//           overflow: hidden;
//           white-space: nowrap;
//           text-overflow: ellipsis;
//           .__name {
//             text-transform: uppercase;
//           }
//         }
//       }
  
//       & > .__toggle {
//         width: 3.2rem;
//         height: 3.2rem;
//         transition: transform 0.25s ease-in-out;
  
//         &.--up {
//           transform: rotate(180deg);
//         }
//       }
//     }
  
//     &__menu {
//       width: 100%;
//       height: auto;
//       position: absolute;
//       top: 0;
//       left: 0;
  
//       & > .rs-dropdown-toggle {
//         width: 100%;
//         height: 7rem;
//         opacity: 0;
//       }
  
//       & > .rs-dropdown-menu {
//         width: 100%;
//         padding: 1.6rem 0.6rem 0.8rem 2.2rem;
//         box-shadow: 0 2rem 4rem rgba($color: $black, $alpha: 0.2);
//         top: calc(100% + 0.1rem) !important;
//         max-height: calc(100vh - 15rem);
//         overflow: auto;
//         & > .__scroll-container {
//           width: 100%;
//           height: var(--height) !important;
  
//           & > div:nth-child(3) {
//             width: 0.6rem !important;
  
//             & > div {
//               background: $pattensBlue !important;
//             }
//           }
  
//           .rs-dropdown-item {
//             width: calc(100% - 1.6rem);
//             min-height: 4.4rem;
//             margin: 0 0 0.8rem 0;
//             padding: 1.1rem 2.4rem;
//             border-radius: 0.8rem;
//             font-family: 'mont_m';
//             font-size: 1.6rem;
//             line-height: 2.2rem;
//             transition: background 0.25s ease-in-out;
  
//             &:last-child {
//               margin: 0;
//             }
  
//             &:hover {
//               background: $aliceBlue;
//             }
  
//             &-active {
//               background: $dodgerBlue;
//               color: $white;
//               cursor: default;
//               font-family: 'mont_b';
  
//               &:hover {
//                 background: $dodgerBlue;
//               }
//             }
//           }
//         }
//       }
//     }
//   }
// }
// @media only screen and (min-width: 768px) and (max-width: 1024) {
//   .pt-m-part-dropdown {
//     background-color: rgba(206, 230, 255, 0.64) !important;
//     padding: 1rem;
//     &__container {
//       & > .__banner {
//         width: 6rem;
//         transform: translateY(12%);
//       }
//       & > .__info {
//         padding: 0;
//         width: 100%;
//         .__test-name {
//           font-size: 1.8rem;
//           font-family: "mont_b";
//         }
//         .__part-name {
//           font-size: 1.8rem;
//         }
//       }
//     }
//     &__menu {
//       top: -1.4rem;
//       & > .rs-dropdown-menu {
//         padding: 1rem 2rem 0 2rem;
//         & > .__scroll-container {
//           height: var(--height) !important;
//           .rs-dropdown-item {
//             font-size: 1.8rem;
//             padding: 1.2rem 2.4rem;
//             line-height: unset;
//             min-height: unset;
//           }
//         }
//       }
//     }
//   }
// }

// @media only screen and (max-width: 767px) {
//   .pt-m-part-dropdown {
//     background-color: rgba(206, 230, 255, 0.64) !important;
//     padding: 1rem;
//     &__container {
//       & > .__banner {
//         width: 6rem;
//         transform: translateY(12%);
//       }
//       & > .__info {
//         padding: 0;
//         width: 100%;
//         .__test-name {
//           font-size: 1.4rem;
//           font-family: "mont_b";
//         }
//         .__part-name {
//           font-size: 1.4rem;
//         }
//       }
//     }
//     &__menu {
//       top: -1.4rem;
//       & > .rs-dropdown-menu {
//         padding: 1rem 2rem 0 2rem;
//         & > .__scroll-container {
//           height: var(--height) !important;
//           .rs-dropdown-item {
//             font-size: 1.4rem;
//             padding: 1.2rem 2.4rem;
//             line-height: unset;
//             min-height: unset;
//           }
//         }
//       }
//     }
//   }
// }
